<template>
  <div class="outer">
    <p class="note" v-if="note">{{ note }}</p>
    <div v-if="total()" class="container">
      <div class="total">{{ currency(total()) }}</div>
    </div>
  </div>
</template>

<script>
  import Store from '../stores/app.store';
  export default {
    name: "survey-total",
    props: [ 'name' ],
    computed: {
      note() { return this.slide.notes ? this.slide.notes.value : null; }
    },
    data: function() {
      return {
        slide: Store.getters.slide(this.name)
      };
    },
    methods: {
      total: function() {
        return Store.getters.runningValue(this.name);
      },
      currency: function(value) {
        return (new Intl.NumberFormat('en-US', {
          style: 'currency',
          currency: 'USD',
          minimumFractionDigits: 0
        })).format(value || 0);
      }
    }
  }
</script>

<style scoped>
  .outer {
    margin-top: 3em;
  }

  .note {
    text-transform: uppercase;
    font-size: .9em;
  }

  .container {
    margin: 0 auto 2em auto;
    width: 50%;
    border-top: 3px solid #333;
  }

  .total {
    font-size: 3.3em;
    margin-top: .2em;
  }
</style>
